/* Main */
:root {
    /* TODO: choose font */
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    color: #323333;
}

/* Remove scrollbars */
* {
    /* IE & Edge */
    -ms-overflow-style: none;
    /* Firefox */
    scrollbar-width: none;

    /* Scrolling behavior */
    scroll-behavior: smooth;
}

*::-webkit-scrollbar {
    /* Chrome */
    display: none;
}


body {
    margin: 0;
}

main {
    scroll-snap-type: y mandatory;
    height: 100vh;
    overflow-y: scroll;

    width: 80%;
    position: absolute;
    left: 20%;
}

section {
    position: relative;
    scroll-snap-align: center;
    display: flex;
    flex-direction: column;
    min-height: 100vh;

    padding: 0 3em;
}

section h1 {
    font-family: 'Comfortaa';
    font-size: 3em;
    margin-bottom: 20px;
}

section h1 p {
    font-weight: 400;
    font-size: 1em;
}


header {
    height: 100vh;
}

/* Navbar */
nav {
    position: fixed;
    width: 20%;
    height: 100vh;
    background: linear-gradient(135deg, #fcfedc, #a6e2df 41%);
    display: flex;
    flex-direction: column;

    justify-content: space-evenly;
    align-items: center;
}

.continue-button {
    align-items: center;
    appearance: none;
    background-color: #A3E1DD;
    border-radius: 10px;
    border-width: 0;
    box-shadow: rgba(163, 225, 221, 0.4) 0 2px 4px, rgba(163, 225, 221, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
    box-sizing: border-box;
    color: #323333;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    font-family: "Comfortaa", monospace;
    height: 48px;
    justify-content: center;
    line-height: 1;
    list-style: none;
    overflow: hidden;
    padding-left: 12px;
    padding-right: 12px;
    position: absolute;
    bottom: 3em;
    right: 3em;
    z-index: 10;
    text-align: left;
    text-decoration: none;
    transition: box-shadow .15s, transform .15s;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    white-space: nowrap;
    will-change: box-shadow, transform;
    font-size: 22px;
}

.continue-button:focus {
    box-shadow: #27444C 0 0 0 1.5px inset, rgba(163, 225, 221, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #27444C 0 -3px 0 inset;
}

.continue-button:hover {
    box-shadow: rgba(163, 225, 221, 0.4) 0 4px 8px, rgba(163, 225, 221, 0.3) 0 7px 13px -3px, lightgrey 0 -3px 0 inset;
    transform: translateY(-2px);
}

.continue-button:active {
    box-shadow: #27444C 0 3px 7px inset;
    transform: translateY(2px);
}

.hidden {
    visibility: hidden;
}

#house {
    width: 90%;
    display: block;
}

.room {
    fill-opacity: 50%;
    font-size: 100px;
}

.room text {
    fill: #EEF2F4;
    fill-opacity: 0%;
    font-weight: bold;

    transition: .5s;
    transform: translateX(-700px);

    filter: url(#solid_hover);
}

.room:hover {
    fill-opacity: 20%;
    cursor: pointer;
}

.room:hover text {
    fill-opacity: 100%;
    transform: translateZ(0);
}

.room.active {
    fill-opacity: 0%;
}

.room.active text {
    fill-opacity: 100%;
    transform: translateZ(0);

    filter: url(#solid_active);
}


/* Section 1: Violin chart */
#violinChartDiv {
    display: flex;
    height: 100%;
    /* width: 50%; */
    margin: 0 auto;
}

/* toggle switch */

.switch {
    position: relative;
    display: inline-block;
    width: 100px;
    height: 34px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #61a3b6;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #ea4141;
}

input:focus+.slider {
    box-shadow: 0 0 1px lightgrey;
}

input:checked+.slider:before {
    -webkit-transform: translateX(60px);
    -ms-transform: translateX(60px);
    transform: translateX(66px);
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}


/* Section 2: Radar chart */

.radar-chart-container {
    display: flex;
    height: 100%;
    width: 50%;
    margin: 0 auto;
}

/* Section 3: Treemaps */
.section_3_wrapper {
    padding: 20px;
    /* overflow: auto;  Commented out, decide if needed */
}

.section_3_wrapper .selection p {
    font-size: 1.25em;
    line-height: 1.5;
    margin-bottom: 10px;
}

.section_3_wrapper ul {
    list-style-type: square;
    padding-left: 40px;
}
.section_3_wrapper li {
    font-size: 1.25em;
    margin-bottom: 5px;
}

.selection {
    display: flex;
    align-items: center;
}

.selection p em {
    line-height: 1;
}

.selection p,
.selection .radio-options {
    margin: 0;
}

.radio-options {
    display: flex;
    align-items: center;
    margin-left: 20px;
}

.radio-list {
    list-style: none;
    padding: 0;
    font-size: 14px;
    display: flex;
    align-items: center;
}

.radio-list li {
    display: inline-block;
    margin-right: 10px;
}

.treemap-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: minmax(350px, auto);
}

@media screen and (max-width: 1440px) {
    .treemap-container {
        grid-auto-rows: minmax(250px, auto);
    }
}

/* Section 4: Geographic map*/
#mapTooltip {
    position: absolute;
    z-index: 10;
    visibility: hidden;

    padding: 5px;

    /* From https://css.glass */
    background: rgba(202, 220, 224, 0.72);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10.6px);
    -webkit-backdrop-filter: blur(10.6px);
    border: 1px solid rgba(202, 220, 224, 0.31);
}